//Auto Complete for countries
//$(document).ready(function () {
$("#tabs").tabs();
var loadUrl = 'http://api.stealthy.co/GetCountries';
$.ajax({
    type: 'GET',
    url: loadUrl,
    dataType: 'json',
    success: function (data) {
        var countries = data.map(function (country) {
            return {
                label: country.name + "   (" + country.code + ")",
                value: country.code
            }
        });

        $("#countryID").autocomplete({
            source: countries
        }).data("ui-autocomplete")._renderItem = function (ul, item) {
            return $("<li>")
                .append("<div><img src='img/flags/" + escapeHTML(item.value.toLowerCase()) + ".gif' /> " + escapeHTML(item.label) + "</div>")
                .appendTo(ul);
        };

    }
});

function escapeHTML(str) {
    return str.replace(/[&"'<>]/g, (m) => escapeHTML.replacements[m]);
}

escapeHTML.replacements = {"&": "&amp;", '"': "&quot;", "'": "&#39;", "<": "&lt;", ">": "&gt;"};

$("input[type='checkbox']").checkboxradio();
$("input[type='radio']").checkboxradio();
$("input[type='button']").button();
//$("#control-group-exceptions").controlgroup();
//$("#control-group-misc").controlgroup();

//$("#checkset-autostart").controlgroup();


$('input[type=radio]').change(function () {
    var stealthy_type = $('input[name=stealthy_type]:checked').val();
    if ("custom" === this.id) {
        $("#countryID").focus();
    }
});

$(function () {
    $(document).tooltip({
        position: {
            my: "center bottom-20",
            at: "center top",
            using: function (position, feedback) {
                $(this).css(position);
                $("<div>")
                    .addClass("arrow")
                    .addClass(feedback.vertical)
                    .addClass(feedback.horizontal)
                    .appendTo(this);
            }
        }
    });
});

$(document).ready(function () {
    onLoad();
});