// Global Settings. Getters and Setters.
var settings = {
	get version() {
		return localStorage['version'];
	}, set version(val) {
		localStorage['version'] = val;
	}, set scheme(val) {
		localStorage['scheme'] = val;
	}, get scheme() {
		var key = localStorage['scheme'];
		return (typeof key == 'undefined') ? 'http' : key;
	}, set host(val) {
		localStorage['host'] = val;
	}, get host() {
		var key = localStorage['host'];
		return (typeof key == 'undefined') ? 'localhost' : key;
	}, set port(val) {
		localStorage['port'] = val;
	}, get port() {
		var key = localStorage['port'];
		return (typeof key == 'undefined') ? 8080 : parseInt(key);
	}, get opt_out() {
		var key = localStorage['opt_out'];
		return (typeof key == 'undefined') ? true : key === 'true';
	}, set opt_out(val) {
		localStorage['opt_out'] = val;
	}, get autostart() {
		var key = localStorage['autostart'];
		return (typeof key == 'undefined') ? false : key === 'true';
	}, set autostart(val) {
		localStorage['autostart'] = val;
    }, get blockads() {
        var key = localStorage['blockads'];
        return (typeof key == 'undefined') ? false : key === 'true';
    }, set blockads(val) {
        localStorage['blockads'] = val;
    }, get bypass() {
		var key = localStorage['bypass'];
		return (typeof key == 'undefined') ? ['<local>'] : JSON.parse(key);
	}, set bypass(val) {
		localStorage['bypass'] = JSON.stringify(val);
	}, get stealthy_type() {
		var key = localStorage['stealthy_type'];
		return (typeof key == 'undefined') ? parseInt(0) : key;
	}, set stealthy_type(val) {
		localStorage['stealthy_type'] = parseInt(val);
	}, set countryID(val) {
		localStorage['countryID'] = val;
	}, get countryID() {
		var key = localStorage['countryID'];
		return (typeof key == 'undefined') ? '' : key;
	}
};